package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class StudentCourseHomeWorkQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "学生id")
    private Long userId;

    @ApiModelProperty(value = "课程组编号")
    private String groupId;

    @ApiModelProperty(value = "教师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "衔接老师编号")
    private Integer transactionTeacherId;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "是否提交")
    private YesOrNoEnum status;

    @ApiModelProperty(value = "是否回复")
    private YesOrNoEnum isReplied;

    private Boolean extra = false;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }

    public YesOrNoEnum getIsReplied() {
        return isReplied;
    }

    public void setIsReplied(YesOrNoEnum isReplied) {
        this.isReplied = isReplied;
    }

    public Boolean getExtra() {
        return extra;
    }

    public void setExtra(Boolean extra) {
        this.extra = extra;
    }

    public Integer getTransactionTeacherId() {
        return transactionTeacherId;
    }

    public void setTransactionTeacherId(Integer transactionTeacherId) {
        this.transactionTeacherId = transactionTeacherId;
    }
}
